define(
    [
        'underscore',
        'uiComponent',
        'Magento_Checkout/js/model/payment/renderer-list',
        'Oney_ThreeByFour/js/model/config'
    ],
    function (_, Component, rendererList, config) {
        "use strict";
        if (config.threebyfour_methods && _.isArray(config.threebyfour_methods)) {
            config.threebyfour_methods.forEach(function (value) {
                rendererList.push(value);
            });
        }
        return Component.extend({});
    }
);
